org.eclipse.rdf4j.rio.binary

## Class BinaryRDFWriterFactory

- java.lang.Object
- - org.eclipse.rdf4j.rio.binary.BinaryRDFWriterFactory

- All Implemented Interfaces:
    RDFWriterFactory

      public class BinaryRDFWriterFactory
      extends Object
      implements RDFWriterFactory

  An `RDFWriterFactory` for Binary RDF writers.
  Author:
    Arjohn Kampman

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BinaryRDFWriterFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RDFFormat` | `getRDFFormat()` Returns `RDFFormat.BINARY`.
    `RDFWriter` | `getWriter(OutputStream out)` Returns a new instance of `BinaryRDFWriter`.
    `RDFWriter` | `getWriter(OutputStream out, String baseURI)` Returns an RDFWriter instance that will write to the supplied output stream.
    `RDFWriter` | `getWriter(Writer writer)` throws UnsupportedOperationException
    `RDFWriter` | `getWriter(Writer writer, String baseURI)` throws UnsupportedOperationException

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BinaryRDFWriterFactory

          public BinaryRDFWriterFactory()

  - ### Method Detail

    - #### getRDFFormat

          public RDFFormat getRDFFormat()

      Returns `RDFFormat.BINARY`.
      Specified by:
        `getRDFFormat` in interface `RDFWriterFactory`

    - #### getWriter

          public RDFWriter getWriter(OutputStream out)

      Returns a new instance of `BinaryRDFWriter`.
      Specified by:
        `getWriter` in interface `RDFWriterFactory`
      Parameters:
        `out` - The OutputStream to write the RDF to.

    - #### getWriter

          public RDFWriter getWriter(OutputStream out,
                                     String baseURI)

      Description copied from interface: `RDFWriterFactory`
      Returns an RDFWriter instance that will write to the supplied output stream. Using the supplied baseURI to relativize IRIs to relative IRIs.
      Specified by:
        `getWriter` in interface `RDFWriterFactory`
      Parameters:
        `out` - The OutputStream to write the RDF to.
        `baseURI` - The URI associated with the data in the InputStream.

    - #### getWriter

          public RDFWriter getWriter(Writer writer)

      throws UnsupportedOperationException
      Specified by:
        `getWriter` in interface `RDFWriterFactory`
      Parameters:
        `writer` - The Writer to write the RDF to.

    - #### getWriter

          public RDFWriter getWriter(Writer writer,
                                     String baseURI)

      throws UnsupportedOperationException
      Specified by:
        `getWriter` in interface `RDFWriterFactory`
      Parameters:
        `writer` - The Writer to write the RDF to.
        `baseURI` - The URI associated with the data in the InputStream.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.